#include "hash.h"
#include <stdio.h>

#define NELEMS(x)   (sizeof(x)/sizeof(x[0]))

struct {
    char *word;
    char *meaning;
} dictionary[] = {
    { "student", "a person who is studying, esp. at university or "
                 "another place of higher education." },
    { "studious", "devoted to or assiduous in study or reading." },
    { "study", "the devotion of time and attention to acquiring "
                "information or knowledge, esp. from books." },
    { "stuff", "the material that a thing is made of." },
};

int main(void)
{
    int i;
    Dictionary *d;
    char *search[] = {"study", "studied", "students", "stuff"};

    d = create_table();

    /* Add words to dictionary */
    for (i = 0; i < NELEMS(dictionary); ++i)
        add_word(d, dictionary[i].word, dictionary[i].meaning);

    /* Search for words in dictionary */
    for (i = 0; i < NELEMS(search); ++i) {
        char *result = find_word(d, search[i]);
        if (result) 
            printf("%s: %s\n", search[i], result);
        else 
            printf("%s: Could not find word.\n", search[i]);
    }

    destroy_table(d);

    return 0;
}
